[gnome-commander] Deprecation of gnome-common



commit cecd41544422985e593c97e76cd6303a365311bf
Author: Uwe Scholz <uwescholz src gnome org>
Date:   Thu Nov 17 22:17:45 2016 +0100

    Deprecation of gnome-common
    
    Therefore, autogen.sh and configure.ac are updated as of
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh   |   49 +++++++++++++++++++++++++++++++++----------------
 configure.ac |    2 +-
 2 files changed, 34 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index a4d75ce..e0bb38a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,40 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-REQUIRED_AUTOMAKE_VERSION=1.8
+cd $srcdir
 
-PKG_NAME="gnome-commander"
-
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/README \
-  && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
-}
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+#glib-gettextize --force --copy || exit 1
+#gtkdocize --copy || exit 1
+#intltoolize --force --copy --automake || exit 1
+#autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index e21d78d..1f94ad0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4,7 +4,7 @@ AC_CONFIG_MACRO_DIR([m4])
 
 AM_INIT_AUTOMAKE
 
-GNOME_DOC_INIT
+YELP_HELP_INIT
 
 AM_MAINTAINER_MODE
 AM_CONFIG_HEADER(config.h)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]